﻿using Microsoft.EntityFrameworkCore;
using System;
using System.Linq;

namespace EF01
{
    class Program
    {
        static void Main(string[] args)
        {
            using (var db = new BloggingContext())
            {
                // TODO Create database
                db.Database.EnsureCreated();
                                
                var blog = new Blog { Name = "The Dog Blog", Url = "http://sample.com/dogs" };

                // TODO Save
                db.Blogs.Add(blog);
                db.SaveChanges();

                // TODO Query
                var data = db.Blogs.ToList();

                foreach (var item in data)
                    Console.WriteLine(item.Name);
            }
        }
    }

    public class BloggingContext : DbContext
    {
        public DbSet<Blog> Blogs { get; set; }

        // TODO Setup the database to connect to
        protected override void OnConfiguring(DbContextOptionsBuilder optionsBuilder)
        {
            base.OnConfiguring(optionsBuilder);

            optionsBuilder
                .UseSqlServer(@"Server=(localdb)\mssqllocaldb;Database=Demo.EFCore101;Trusted_Connection=True;");
        }
    }

    public class Blog
    {
        public int BlogId { get; set; }
        public string Name { get; set; }
        public string Url { get; set; }
    }
}